Loading...
Searching...
No Matches
pcl::common::IntensityFieldAccessor< pcl::InterestPoint > Struct Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::InterestPoint &p) const
void | get (const pcl::InterestPoint &p, float &intensity) const
void | set (pcl::InterestPoint &p, float intensity) const
void | demean (pcl::InterestPoint &p, float value) const
void | add (pcl::InterestPoint &p, float value) const

## Detailed Description

Definition at line 419 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::add | ( | pcl::InterestPoint & | p,
|  | float | value ) const

inline

Definition at line 446 of file intensity.hpp.

References pcl::InterestPoint::strength.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::demean | ( | pcl::InterestPoint & | p,
|  | float | value ) const

inline

Definition at line 440 of file intensity.hpp.

References pcl::InterestPoint::strength.

## get()

void pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::get | ( | const pcl::InterestPoint & | p,
|  | float & | intensity ) const

inline

Definition at line 428 of file intensity.hpp.

References pcl::InterestPoint::strength.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::operator() | ( | const pcl::InterestPoint & | p | ) | const

inline

Definition at line 422 of file intensity.hpp.

References pcl::InterestPoint::strength.

## set()

void pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::set | ( | pcl::InterestPoint & | p,
|  | float | intensity ) const

inline

Definition at line 434 of file intensity.hpp.

References pcl::InterestPoint::strength.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp